apt-get "les paquets suivants ont été conservés"

Lors de mon habituelle mise à jour de Debian j’avais un message auquel je n’étais pas habitué : “Les paquets suivants ont été conservés”. C’est embêtant parce que justement l’antivirus est le plus important à mettre à jour. Voici l’affichage que j’obtenais :

# apt-get upgrade
Lecture des listes de paquets… Fait
Construction de l’arbre des dépendances… Fait
Les paquets suivants ont été conservés :
clamav clamav-daemon clamav-freshclam linux-image-2.6-486 openssh-client
openssh-server
0 mis à jour, 0 nouvellement installés, 0 à enlever et 6 non mis à jour.

Grâce à Christophe que je cite : “il faut faire un apt-get dist-upgrade, c’est parce que la mise a jour de ces paquets nécessite la mise a jour d’autres paquets plus importants”.

J’ai donc lancé sans soucis :

apt-get dist-upgrade

Les paquets suivants seront ENLEVÉS :
libclamav2
Les NOUVEAUX paquets suivants seront installés :
libclamav5 linux-image-2.6.18-6-486 openssh-blacklist

En effet on constate la mise à jour d’une librairie : libclamav2 est abandonnée pour libclamav5… ce n’est pas négligeable mais ils auraient pu afficher un avertissement…

Voila, tout est rentré dans l’ordre.

Leave a Reply

Your email address will not be published. Required fields are marked *